<?php

/*

header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}

//$lat=-34.865085;
//$lon=-56.143215;


$sql = sprintf("SELECT historia, latitud, longitud, (6370031 * acos(cos(radians(%s)) * cos(radians(latitud)) * cos(radians(longitud) - radians(%s)) + sin(radians(%s)) * sin(radians(latitud)))) AS distance FROM perdidos WHERE latitud < 0 ORDER BY distance LIMIT 0, 20", mysqli_real_escape_string($con,$lat), mysqli_real_escape_string($con,$lon), mysqli_real_escape_string($con,$lat));
$resultado = mysqli_query($con,$sql);
$res = array();
if ($resultado != FALSE){
    if ($resultado != FALSE){
        if (mysqli_num_rows($resultado) > 0){
            while($row = mysqli_fetch_assoc($resultado))
            {
                $elemento = $row["historia"];
                array_push($res,$elemento);
            }
        }    
    }    
}
mysqli_close($con);
echo json_encode($res);
*/
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$rango_busqueda_metros = 1500;

if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}

$sql = "SELECT historia, latitud, longitud FROM perdidos WHERE latitud < 0";
$resultado = mysqli_query($con,$sql);
$res = array();
if ($resultado != FALSE){
    if ($resultado != FALSE){
        if (mysqli_num_rows($resultado) > 0){
            while($row = mysqli_fetch_assoc($resultado))
            {
                $lat1 = $row["latitud"];
                $lon1 = $row["longitud"];
                $distancia = dl_geometria::dl_distancia_metros_de_geograficas($lat,$lon,$lat1,$lon1);
                if ($distancia < $rango_busqueda_metros)
                {
                $elemento = $row["historia"];
                array_push($res,$elemento);
                }
            }
        }    
    }    
}
mysqli_close($con);
echo json_encode($res);
?>



